#
# This rpm is based on the git tree from:
# git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
# version is date of the youngest commit
#

Summary:	Open source Linux kernel firmware files
Name:   	kernel-firmware
Version:	20160409
Release:	%mkrel 1
License:	GPLv2 and GPLv2+ and GPLv3
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
# linux-firmware tarball is generated from the git tree mentioned
# above, by simply cloning it, and  doing:
# git archive --prefix=linux-firmware/ origin/master | xz > linux-firmware-20110601.tar.xz
# or by using the tarball from kernel-firmware-extra directly.
#
# Then use gen-free-firmware-tarball.sh to generate a free-only and a nonfree tarball
# to be used in kernel-firmware-nonfree from the full firmware tarball.
Source0: 	linux-firmware-free-%{version}.tar.xz
Source1:	gen-free-firmware-tarball.sh
%rename		carl9170-firmware
Conflicts:	kernel-firmware-extra < %{version}-1
Conflicts:	kernel-firmware-nonfree < %{version}-1
Conflicts:	radeon-firmware < 20130624-1
Recommends:	kernel-firmware-nonfree
BuildArch:	noarch

%description
This package contains all the open source firmware for in-kernel drivers.

This package includes the firmware for keyspan_pda, dsp56k, pcnet_cs,
3c589_cs, 3c574_cs, serial_cs, dvb-ttpci (base), isci, usbdux.

Other firmware is contained in the radeon-firmware, iwlwifi-*-ucode,
rtlwifi-firmware, and kernel-firmware-nonfree packages in the nonfree section.

%prep
%setup -q -n linux-firmware-free-%{version}

# remove unwanted source files
rm -f av7110/{Makefile,Boot.S}
rm -rf cis/src
rm -f dsp56k/{Makefile,bootstrap.asm,concat-bootstrap.pl}
rm -f isci/{Makefile,*.{c,h}}
rm -f keyspan_pda/{Makefile,*.S}
rm -f usbdux/*.asm
rm -r usbdux
rm -rf carl9170fw

%install
mkdir -p %{buildroot}/lib/firmware
cp -avf * %{buildroot}/lib/firmware
rm -f %{buildroot}/lib/firmware/{WHENCE,GPL*}

%files
%defattr(0644,root,root,0755)
%doc WHENCE
# Check license before adding/removing files here,
# the tarball script is not fault-proof.
%dir /lib/firmware/atusb
/lib/firmware/atusb/atusb-0.2.dfu
%dir /lib/firmware/av7110
/lib/firmware/av7110/bootcode.bin
%dir /lib/firmware/cis
/lib/firmware/cis/*.cis
%dir /lib/firmware/dsp56k
/lib/firmware/dsp56k/bootstrap.bin
%dir /lib/firmware/isci
/lib/firmware/isci/isci_firmware.bin
%dir /lib/firmware/keyspan_pda
/lib/firmware/keyspan_pda/*.fw
/lib/firmware/usbdux*_firmware.bin
%dir /lib/firmware/r128
/lib/firmware/r128/r128_cce.bin
%dir /lib/firmware/radeon
/lib/firmware/radeon/R100_cp.bin
/lib/firmware/radeon/R200_cp.bin
/lib/firmware/radeon/R300_cp.bin
/lib/firmware/radeon/R420_cp.bin
/lib/firmware/radeon/R520_cp.bin
/lib/firmware/radeon/R600_me.bin
/lib/firmware/radeon/R600_pfp.bin
/lib/firmware/radeon/RS600_cp.bin
/lib/firmware/radeon/RS690_cp.bin
/lib/firmware/radeon/RS780_me.bin
/lib/firmware/radeon/RS780_pfp.bin
/lib/firmware/radeon/RV610_me.bin
/lib/firmware/radeon/RV610_pfp.bin
/lib/firmware/radeon/RV620_me.bin
/lib/firmware/radeon/RV620_pfp.bin
/lib/firmware/radeon/RV630_me.bin
/lib/firmware/radeon/RV630_pfp.bin
/lib/firmware/radeon/RV635_me.bin
/lib/firmware/radeon/RV635_pfp.bin
/lib/firmware/radeon/RV670_me.bin
/lib/firmware/radeon/RV670_pfp.bin
/lib/firmware/radeon/RV710_me.bin
/lib/firmware/radeon/RV710_pfp.bin
/lib/firmware/radeon/RV730_me.bin
/lib/firmware/radeon/RV730_pfp.bin
/lib/firmware/radeon/RV770_me.bin
/lib/firmware/radeon/RV770_pfp.bin
/lib/firmware/carl9170-1.fw


%changelog
* Sat Apr 09 2016 tmb <tmb> 20160409-1.mga5
+ Revision: 999892
- update to 20160409 snapshot
- update to 20160409 snapshot
- update to 2016-09-19 snapshot
- update to 2015-07-22
  * add firmware for atusb driver

* Tue Mar 10 2015 tmb <tmb> 20150309-1.mga5
+ Revision: 818298
- update to 2015-03-09

* Wed Feb 04 2015 tmb <tmb> 20150204-1.mga5
+ Revision: 813486
- update to 2015-02-04

* Mon Dec 01 2014 tmb <tmb> 20141106-1.mga5
+ Revision: 800164
- update to 20141106

* Wed Oct 15 2014 umeabot <umeabot> 20140603-3.mga5
+ Revision: 750163
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20140603-2.mga5
+ Revision: 681037
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Jun 04 2014 tmb <tmb> 20140603-1.mga5
+ Revision: 632974
- update to 2014-06-03

* Tue Oct 22 2013 umeabot <umeabot> 20131013-2.mga4
+ Revision: 542310
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 tmb <tmb> 20131013-1.mga4
+ Revision: 497330
- update to 2013-10-13

* Tue Jul 09 2013 tmb <tmb> 20130624-1.mga4
+ Revision: 452126
- update to 2013-06-24 snapshot
- re-add proper list of free radeon drivers
- ship all radeon firmwares in radeon-firmware

* Mon Apr 08 2013 tmb <tmb> 20130307-2.mga3
+ Revision: 409065
- provide carl9170-firmware for upgrades to work

* Sun Apr 07 2013 tmb <tmb> 20130307-1.mga3
+ Revision: 409015
- fix filelist
- obsolete carl9170-firmware (merged upstream)
- update to 203-03-07

* Thu Jan 10 2013 tmb <tmb> 20121225-1.mga3
+ Revision: 344671
- update to 2012-12-25

* Fri Nov 02 2012 tmb <tmb> 20121030-1.mga3
+ Revision: 312669
- update to 2012-10-30 snapshot

* Sun Sep 16 2012 tmb <tmb> 20120909-1.mga3
+ Revision: 294476
- update to 2012-09-09 snapshot

* Sat Jul 21 2012 tmb <tmb> 20120719-2.mga3
+ Revision: 273008
- fix conflicts on radeon-firmware

* Fri Jul 20 2012 tmb <tmb> 20120719-1.mga3
+ Revision: 272967
- update to 2012-07-19 snapshot

* Tue Mar 06 2012 tmb <tmb> 20120219-1.mga2
+ Revision: 220088
- update to 2012-02-19 snapshot

* Sun Jan 01 2012 tmb <tmb> 20111229-1.mga2
+ Revision: 189462
- conflict old kernel-firmware-extra
- update to 2011-12-29 snapshot
- update filelists
- create nonfree only tarball at the same time as we create the
  free tarball to avoid useless duplication in srpms, and to
  simplify the creation of kernel-firmware-nonfree
- fix git url
- drop buildroot

* Tue Nov 08 2011 anssi <anssi> 20110703-2.mga2
+ Revision: 165566
- drop non-free firmware (they will be included in the
  kernel-firmware-extra and radeon-firmware packages in the nonfree
  section)
- add free usbdux firmware (moved from kernel-firmware-extra)
- drop non-free obsoletes (to be put in kernel-firmware-extra)
- add gen-free-firmware-tarball.sh to help packaging
- update summary and description
- fix license tag
- drop pcmcia firmware source code from the binary package

  + tmb <tmb>
    - update to 2011-07-03 checkout
      * updates bnx2x fw to 6.2.9
      * adds isci: Intel(R) C600 Series Chipset Storage Controller fw

* Thu Mar 17 2011 tmb <tmb> 20110314-2.mga1
+ Revision: 73536
- fix conflicts on kernel-firmware-extra

* Thu Mar 17 2011 tmb <tmb> 20110314-1.mga1
+ Revision: 73359
- update to 2011-03-14

* Tue Jan 25 2011 tmb <tmb> 20101231-1.mga1
+ Revision: 39043
- update to 2010-12-31 snapshot

* Sat Jan 08 2011 tmb <tmb> 20101024-2.mga1
+ Revision: 1228
- imported package kernel-firmware


* Sat Jan 08 2011 Thomas Backlund <tmb@mageia.org> 20101024-2.mga1
- initial Mageia import
- drop rpm tags
- switch from manbo_mkrel to mkrel

* Thu Nov 04 2010 Thomas Backlund <tmb@mandriva.org> 20101024-1mnb2
+ Revision: 593285
- update to 2010-10-24

* Sun Aug 15 2010 Thomas Backlund <tmb@mandriva.org> 20100804-1mnb2
+ Revision: 570139
- update to 2010-08-04

* Mon May 03 2010 Thomas Backlund <tmb@mandriva.org> 20100217-1mnb2
+ Revision: 541831
- keep bnx2x fw for 2.6.33 series kernels
- update to 20100217 (updated bnx2 and bnx2x firmwares)

* Sun Feb 07 2010 Thomas Backlund <tmb@mandriva.org> 20100107-1mnb2
+ Revision: 501683
- drop firmware tarball from drm-next as its merged upstream
- update to 2010-01-07

* Sat Sep 19 2009 Thomas Backlund <tmb@mandriva.org> 20090604-4mnb2
+ Revision: 444767
- update drm-next firmware to 2009-09-18

* Thu Sep 17 2009 Thomas Backlund <tmb@mandriva.org> 20090604-3mnb2
+ Revision: 444038
- use correct radeon ihex-converted firmware tarball

* Thu Sep 17 2009 Thomas Backlund <tmb@mandriva.org> 20090604-2mnb2
+ Revision: 443983
- add radeon firmware from drm-next, needed by kernel-tmb
- update to 2009-06-04

* Thu May 28 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090418-1mnb2
+ Revision: 380647
- Updated to 20090418
- Use lzma for source tarball.

* Mon Mar 30 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090111-3mnb2
+ Revision: 362326
- Re-add obsoletes from kernel-firmware-extra to kernel-firmware for
  firmware files which moved to kernel-firmware after previous change.

* Mon Mar 30 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090111-2mnb2
+ Revision: 362309
- Include all firmware, not splitting firmwares into
  kernel-firmware-extra (#49195).

* Tue Feb 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090111-1mnb2
+ Revision: 341862
- Updated to 20090111

* Fri Dec 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20080922-2mnb2
+ Revision: 310782
- Don't include firmware without source, they should be in non-free
  (distributed with kernel-firmware-extra package).
- Suggests kernel-firmware-extra.
- Cosmetics.

* Tue Nov 04 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20080922-1mnb2
+ Revision: 299838
- Updated to latest linux-firmware-from-kernel snapshot, and change
  versioning to use date of the younger commit, as firmwares aren't
  bound to specific kernel version.

* Sat Sep 06 2008 Thomas Backlund <tmb@mandriva.org> 2.6.27-2mnb2
+ Revision: 281995
- Obsolete korg1212-firmware, maestro3-firmware, sb16-firmware, yamaha-firmware.

* Thu Aug 28 2008 Thomas Backlund <tmb@mandriva.org> 2.6.27-1mnb2
+ Revision: 277014
- redo spec based on kernel-headers spec
- switch to using dwmw2's linux-firmware-from-kernel git tree
- no need to follow -rc/-git versioning as the firmwares does
  not change that often.
- package is now noarch as we dont build anything
- switch to Manbo Core tagging

* Thu Aug 21 2008 Thomas Backlund <tmb@mandriva.org> 2.6.27-0.rc4.1mdv2009.0
+ Revision: 274527
- update to 2.6.27-rc4

* Wed Aug 20 2008 Thomas Backlund <tmb@mandriva.org> 2.6.27-0.rc3.1mdv2009.0
+ Revision: 274212
- fix git typo
- update to 2.6.27-rc3-git6

* Thu Aug 07 2008 Thomas Backlund <tmb@mandriva.org> 2.6.27-0.rc2.2mdv2009.0
+ Revision: 265550
- bump release
- add buildrequires

* Thu Aug 07 2008 Thomas Backlund <tmb@mandriva.org> 2.6.27-0.rc2.1mdv2009.0
+ Revision: 265537
- add spec file
- use defconfigs from kernel-linus
- start with 2.6.27-rc2
- Created package structure for kernel-firmware.

